Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextSceneLoader Class Reference

テキストシーンローダ More...

`#include <TextSceneLoader.h>`

List of all members.

## Public Member Functions
| TextSceneLoader ()
| コンストラクタ
virtual | ~TextSceneLoader ()
| デストラクタ
virtual void | load (const String &filePath, Scene *scene)
| ロード
virtual void | load (const String &filePath, Scene *scene, SceneNode *rootNode)
| ロード
virtual void | load (TextReader *textReader, Scene *scene, const String &basePath="")
| ロード
virtual void | load (TextReader *textReader, Scene *scene, SceneNode *rootNode, const String &basePath="")
| ロード
## Protected Member Functions
virtual void | readHeader ()
| ヘッダの読み込み
virtual void | readFog ()
| フォグの読み込み
virtual void | readSceneNodeList ()
| シーンノードリストの読み込み
virtual void | readSceneNode (const String &name)
| シーンノードの読み込み
virtual void | readLODSceneNode (const String &name)
| レベルオブディティールシーンノードの読み込み
virtual void | readLightList ()
| ライトリストの読み込み
virtual void | readLight (Light *light)
| ライトの読み込み
virtual void | readAmbientLight (const String &name)
| アンビエントライトの読み込み
virtual void | readDirectionalLight (const String &name)
| ディレクショナルライトの読み込み
virtual void | readPointLight (const String &name)
| ポイントライトの読み込み
virtual void | readModelList ()
| モデルリストの読み込み
virtual void | readStandardModel (const String &name)
| 標準モデルの読み込み
virtual void | readCharacterModel (const String &name)
| キャラクタモデルの読み込み
virtual void | readBone (CharacterModel *model, const String &name)
| ボーンの読み込み
virtual void | readMeshList ()
| メッシュリストの読み込み
virtual void | readRigidMesh (const String &name)
| 剛体メッシュの読み込み
virtual void | readCharacterMesh (const String &name)
| キャラクタメッシュの読み込み
virtual void | readMeshDataList ()
| メッシュデータリストの読み込み
virtual void | readMeshData (const String &name)
| メッシュデータの読み込み
virtual void | readMaterialList ()
| マテリアルリストの読み込み
virtual void | readMaterial (Material *material)
| マテリアルの読み込み
virtual void | readBasicMaterial (const String &name)
| 基本マテリアルの読み込み
virtual void | readTextureList ()
| テクスチャリストの読み込み
virtual void | readSurfaceTexture (const String &name)
| サーフェーステクスチャの読み込み
virtual void | readPictureList ()
| ピクチャリストの読み込み
virtual Picture * | readPictureRGB8 (const String &name, TargaLoader &loader)
| RGB8ビットピクチャの読み込み.
virtual Picture * | readPictureRGBA8 (const String &name, TargaLoader &loader)
| RGBA8ビットピクチャの読み込み.
virtual void | readSceneNodeLinkList ()
| シーンノードリンクリストの読み込み
virtual void | readSceneNodeLink (const String &name)
| シーンノードリンクの読み込み
virtual void | readModelLinkList ()
| モデルリンクリストの読み込み
virtual void | readModelLink (const String &name)
| モデルリンクの読み込み
virtual void | readMeshLinkList ()
| メッシュリンクリストの読み込み
virtual void | readMeshLink (const String &name)
| メッシュリンクの読み込み
virtual void | readMaterialLinkList ()
| マテリアルリンクリストの読み込み
virtual void | readBasicMaterialLink (const String &name)
| 基本マテリアルリンクの読み込み
virtual void | readTextureLinkList ()
| テクスチャリンクリストの読み込み
virtual void | readTextureLink (const String &name)
| テクスチャリンクの読み込み
virtual bool | readBool ()
| bool値の読み込み
virtual u_char | readUChar ()
| u_char値の読み込み
virtual u_short | readUShort ()
| u_short値の読み込み
virtual int | readInt ()
| int値の読み込み
virtual u_int | readUInt ()
| u_int値の読み込み
virtual float | readFloat ()
| float値の読み込み
virtual Vector3 | readVector3 ()
| Vector3値の読み込み.
virtual Matrix34 | readMatrix34 ()
| Matrix34値の読み込み.
virtual Color3c | readColor3c ()
| 三要素整数カラー値の読み込み
virtual Color4c | readColor4c ()
| 四要素整数カラー値の読み込み
virtual Color3f | readColor3f ()
| 三要素実数カラー値の読み込み
virtual Color4f | readColor4f ()
| 四要素実数カラー値の読み込み
virtual TexCoord2 | readTexCoord2 ()
| 二次元テクスチャ座標値の読み込み
virtual AxisAlignedBox | readAxisAlignedBox ()
| 軸沿いボックスの読み込み
virtual Sphere | readSphere ()
| 球の読み込み
virtual String | readToken (const String &caller)
| トークンの読み込み
virtual void | skipWord (const String &word)
| 指定ワードの読み飛ばし
virtual void | openChunk ()
| チャンクを開く
virtual void | closeChunk ()
| チャンクを閉じる
virtual void | skipChunk ()
| チャンクの読み飛ばし
## Protected Attributes
String | basePath_
| ベースパス
StreamTokenizer * | tokenizer_
| トークナイザ
Scene * | scene_
| シーン
SceneNode * | rootNode_
| ルートノード
SceneNodeManager * | sceneNodeManager_
| シーンノードマネージャ
LightManager * | lightManager_
| ライトマネージャ
ModelManager * | modelManager_
| モデルマネージャ
MeshManager * | meshManager_
| メッシュマネージャ
MeshDataManager * | meshDataManager_
| メッシュデータマネージャ
MaterialManager * | materialManager_
| マテリアルマネージャ
TextureManager * | textureManager_
| テクスチャマネージャ
PictureManager * | pictureManager_
| ピクチャマネージャ

## Detailed Description

テキストシーンローダ

Definition at line 53 of file TextSceneLoader.h.

## Member Function Documentation

void Lamp::TextSceneLoader::load | ( | TextReader * | textReader,
|  | Scene * | scene,
|  | SceneNode * | rootNode,
|  | const String & | basePath = ""
| ) | `[virtual]`

  | ロード Parameters:
  textReader | テキストリーダ
  scene | ロード先シーン
  rootNode | ロード先ルートノード
  basePath | ベースパス
Definition at line 76 of file TextSceneLoader.cpp. References basePath_, ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::StreamTokenizer::getToken(), Lamp::SceneNode::isEnabled(), lightManager_, materialManager_, meshDataManager_, meshManager_, modelManager_, Lamp::StreamTokenizer::nextToken(), pictureManager_, readFog(), readHeader(), readLightList(), readMaterialLinkList(), readMaterialList(), readMeshDataList(), readMeshLinkList(), readMeshList(), readModelLinkList(), readModelList(), readPictureList(), readSceneNodeLinkList(), readSceneNodeList(), readTextureLinkList(), readTextureList(), rootNode_, scene_, sceneNodeManager_, Lamp::SceneNode::setEnabled(), textureManager_, and tokenizer_.

void Lamp::TextSceneLoader::load | ( | TextReader * | textReader,
|  | Scene * | scene,
|  | const String & | basePath = ""
| ) | `[virtual]`

  | ロード Parameters:
  textReader | テキストリーダ
  scene | ロード先シーン
  basePath | ベースパス
Definition at line 70 of file TextSceneLoader.cpp. References Lamp::Scene::getRootNode(), and load().

void Lamp::TextSceneLoader::load | ( | const String & | filePath,
|  | Scene * | scene,
|  | SceneNode * | rootNode
| ) | `[virtual]`

  | ロード Parameters:
  filePath | ファイルパス
  scene | ロード先シーン
  rootNode | ロード先ルートノード
Definition at line 60 of file TextSceneLoader.cpp. References Assert, Lamp::FilePath::existFile(), Lamp::FilePath::getFolderPath(), and load().

void Lamp::TextSceneLoader::load | ( | const String & | filePath,
|  | Scene * | scene
| ) | `[virtual]`

  | ロード Parameters:
  filePath | ファイルパス
  scene | ロード先シーン
Definition at line 55 of file TextSceneLoader.cpp. References Lamp::Scene::getRootNode(). Referenced by load(), and Lamp::SceneFramework::loadScene().

void Lamp::TextSceneLoader::readAmbientLight | ( | const String & | name | ) | `[protected, virtual]`

  | アンビエントライトの読み込み Parameters:
  name | 名前
Definition at line 290 of file TextSceneLoader.cpp. References Lamp::LightManager::createAmbientLight(), lightManager_, readColor3f(), readLight(), Lamp::AmbientLight::setColor(), and skipWord(). Referenced by readLightList().

AxisAlignedBox Lamp::TextSceneLoader::readAxisAlignedBox | ( |  | ) | `[protected, virtual]`

| 軸沿いボックスの読み込み Returns: 軸沿いボックス Definition at line 1198 of file TextSceneLoader.cpp. References closeChunk(), openChunk(), readFloat(), Lamp::AxisAlignedBox::set(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by readMeshData().

void Lamp::TextSceneLoader::readBasicMaterial | ( | const String & | name | ) | `[protected, virtual]`

  | 基本マテリアルの読み込み Parameters:
  name | 名前
Definition at line 637 of file TextSceneLoader.cpp. References Lamp::MaterialManager::createBasicMaterial(), materialManager_, readColor3f(), readFloat(), readInt(), readMaterial(), Lamp::BasicMaterial::setAmbientColor(), Lamp::BasicMaterial::setBaseUVIndex(), Lamp::BasicMaterial::setDiffuseColor(), Lamp::BasicMaterial::setEmissiveColor(), Lamp::BasicMaterial::setGlossUVIndex(), Lamp::BasicMaterial::setLightUVIndex(), Lamp::BasicMaterial::setSpecularColor(), Lamp::BasicMaterial::setSpecularPower(), Lamp::BasicMaterial::setStainUVIndex(), and skipWord(). Referenced by readMaterialList().

void Lamp::TextSceneLoader::readBasicMaterialLink | ( | const String & | name | ) | `[protected, virtual]`

  | 基本マテリアルリンクの読み込み Parameters:
  name | 名前
Definition at line 953 of file TextSceneLoader.cpp. References Lamp::Material::castBasicMaterial(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), materialManager_, NULL, readToken(), Lamp::SceneObjectManagerTemplate< Texture >::search(), Lamp::SceneObjectManagerTemplate< Material >::search(), Lamp::BasicMaterial::setBaseTexture(), Lamp::BasicMaterial::setGlossTexture(), Lamp::BasicMaterial::setLightTexture(), Lamp::BasicMaterial::setStainTexture(), textureManager_, and tokenizer_. Referenced by readMaterialLinkList().

void Lamp::TextSceneLoader::readBone | ( | CharacterModel * | model,
|  | const String & | name
| ) | `[protected, virtual]`

  | ボーンの読み込み Parameters:
  model | 読込先モデル
  name | 名前
Definition at line 403 of file TextSceneLoader.cpp. References closeChunk(), Lamp::CharacterModel::createBone(), openChunk(), readMatrix34(), readVector3(), Lamp::Bone::setInversePoseMatrix(), Lamp::Bone::setRotationXYZ(), Lamp::Bone::setScale(), Lamp::Bone::setTranslation(), and skipWord(). Referenced by readCharacterModel().

bool Lamp::TextSceneLoader::readBool | ( |  | ) | `[protected, virtual]`

| bool値の読み込み Returns: bool値 Definition at line 1050 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), readToken(), and tokenizer_. Referenced by readCharacterMesh(), readCharacterModel(), readFog(), readLight(), readLODSceneNode(), readMaterial(), readMeshData(), readRigidMesh(), readSceneNode(), and readStandardModel().

void Lamp::TextSceneLoader::readCharacterMesh | ( | const String & | name | ) | `[protected, virtual]`

  | キャラクタメッシュの読み込み Parameters:
  name | 名前
Definition at line 456 of file TextSceneLoader.cpp. References Lamp::MeshManager::createCharacterMesh(), meshManager_, readBool(), Lamp::Mesh::setEnabled(), and skipWord(). Referenced by readMeshList().

void Lamp::TextSceneLoader::readCharacterModel | ( | const String & | name | ) | `[protected, virtual]`

  | キャラクタモデルの読み込み Parameters:
  name | 名前
Definition at line 372 of file TextSceneLoader.cpp. References Lamp::Bone::addBone(), Lamp::ModelManager::createCharacterModel(), modelManager_, openChunk(), readBone(), readBool(), readToken(), Lamp::CharacterModel::searchBone(), Lamp::SceneLeaf::setEnabled(), and skipWord(). Referenced by readModelList().

Color3c Lamp::TextSceneLoader::readColor3c | ( |  | ) | `[protected, virtual]`

| 三要素整数カラー値の読み込み Returns: 三要素整数カラー値 Definition at line 1142 of file TextSceneLoader.cpp. References Lamp::Color3c::b, closeChunk(), Lamp::Color3c::g, openChunk(), Lamp::Color3c::r, and readUChar().

Color3f Lamp::TextSceneLoader::readColor3f | ( |  | ) | `[protected, virtual]`

| 三要素実数カラー値の読み込み Returns: 三要素実数カラー値 Definition at line 1165 of file TextSceneLoader.cpp. References Lamp::Color3f::b, closeChunk(), Lamp::Color3f::g, openChunk(), Lamp::Color3f::r, and readFloat(). Referenced by readAmbientLight(), readBasicMaterial(), readDirectionalLight(), and readPointLight().

Color4c Lamp::TextSceneLoader::readColor4c | ( |  | ) | `[protected, virtual]`

| 四要素整数カラー値の読み込み Returns: 四要素整数カラー値 Definition at line 1153 of file TextSceneLoader.cpp. References Lamp::Color4c::a, Lamp::Color4c::b, closeChunk(), Lamp::Color4c::g, openChunk(), Lamp::Color4c::r, and readUChar(). Referenced by readFog(), and readMeshData().

Color4f Lamp::TextSceneLoader::readColor4f | ( |  | ) | `[protected, virtual]`

| 四要素実数カラー値の読み込み Returns: 四要素実数カラー値 Definition at line 1176 of file TextSceneLoader.cpp. References Lamp::Color4f::a, Lamp::Color4f::b, closeChunk(), Lamp::Color4f::g, openChunk(), Lamp::Color4f::r, and readFloat().

void Lamp::TextSceneLoader::readDirectionalLight | ( | const String & | name | ) | `[protected, virtual]`

  | ディレクショナルライトの読み込み Parameters:
  name | 名前
Definition at line 300 of file TextSceneLoader.cpp. References Lamp::LightManager::createDirectionalLight(), lightManager_, readColor3f(), readLight(), readVector3(), Lamp::DirectionalLight::setDiffuseColor(), Lamp::DirectionalLight::setDirection(), Lamp::DirectionalLight::setSpecularColor(), and skipWord(). Referenced by readLightList().

float Lamp::TextSceneLoader::readFloat | ( |  | ) | `[protected, virtual]`

| float値の読み込み Returns: float値 Definition at line 1108 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseFloat(), readToken(), and tokenizer_. Referenced by readAxisAlignedBox(), readBasicMaterial(), readColor3f(), readColor4f(), readFog(), readLODSceneNode(), readMaterial(), readMatrix34(), readMeshData(), readPointLight(), readSphere(), readTexCoord2(), and readVector3().

int Lamp::TextSceneLoader::readInt | ( |  | ) | `[protected, virtual]`

| int値の読み込み Returns: int値 Definition at line 1084 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseInt(), readToken(), and tokenizer_. Referenced by readBasicMaterial(), readLODSceneNode(), readMaterial(), and readMeshData().

void Lamp::TextSceneLoader::readLight | ( | Light * | light | ) | `[protected, virtual]`

  | ライトの読み込み Parameters:
  light | ライト
Definition at line 277 of file TextSceneLoader.cpp. References closeChunk(), openChunk(), readBool(), readUInt(), Lamp::SceneLeaf::setEnabled(), Lamp::Light::setLightMask(), and skipWord(). Referenced by readAmbientLight(), readDirectionalLight(), and readPointLight().

void Lamp::TextSceneLoader::readLODSceneNode | ( | const String & | name | ) | `[protected, virtual]`

  | レベルオブディティールシーンノードの読み込み Parameters:
  name | 名前
Definition at line 223 of file TextSceneLoader.cpp. References closeChunk(), Lamp::SceneNodeManager::createLODSceneNode(), openChunk(), readBool(), readFloat(), readInt(), readVector3(), sceneNodeManager_, Lamp::SceneNode::setEnabled(), Lamp::LODSceneNode::setLODThreshold(), Lamp::LODSceneNode::setLODThresholdCount(), Lamp::SceneNode::setRotationXYZ(), Lamp::SceneNode::setScale(), Lamp::SceneNode::setTranslation(), and skipWord(). Referenced by readSceneNodeList().

void Lamp::TextSceneLoader::readMaterial | ( | Material * | material | ) | `[protected, virtual]`

  | マテリアルの読み込み Parameters:
  material | マテリアル
Definition at line 598 of file TextSceneLoader.cpp. References closeChunk(), openChunk(), readBool(), readFloat(), readInt(), readToken(), readUInt(), Lamp::Material::setAlpha(), Lamp::Material::setBlendDestination(), Lamp::Material::setBlendMode(), Lamp::Material::setBlendSource(), Lamp::Material::setFogOption(), Lamp::Material::setLightMask(), Lamp::Material::setPriority(), Lamp::Material::setZTest(), Lamp::Material::setZWrite(), and skipWord(). Referenced by readBasicMaterial().

Matrix34 Lamp::TextSceneLoader::readMatrix34 | ( |  | ) | `[protected, virtual]`

| Matrix34値の読み込み. Returns: Matrix34値 Definition at line 1131 of file TextSceneLoader.cpp. References Lamp::Matrix34::array, closeChunk(), openChunk(), and readFloat(). Referenced by readBone().

void Lamp::TextSceneLoader::readMeshData | ( | const String & | name | ) | `[protected, virtual]`

  | メッシュデータの読み込み Parameters:
  name | 名前
Definition at line 477 of file TextSceneLoader.cpp. References closeChunk(), Lamp::MeshDataManager::createMeshData(), Lamp::MeshData::enableColor(), Lamp::MeshData::enableNormal(), ErrorOut, Lamp::StreamTokenizer::getLineNumber(), Lamp::MeshData::getWeightsPerVertex(), Lamp::MeshData::hasVertexIndices(), meshDataManager_, openChunk(), readAxisAlignedBox(), readBool(), readColor4c(), readFloat(), readInt(), readSphere(), readToken(), readUChar(), readUShort(), readVector3(), Lamp::MeshData::setBoneIndex(), Lamp::MeshData::setBonesPerVertex(), Lamp::MeshData::setBoundingBox(), Lamp::MeshData::setBoundingSphere(), Lamp::MeshData::setColor(), Lamp::MeshData::setNormal(), Lamp::MeshData::setPosition(), Lamp::MeshData::setPrimitiveType(), Lamp::MeshData::setTexCoord(), Lamp::MeshData::setTexCoordSetCount(), Lamp::MeshData::setTexCoordType(), Lamp::MeshData::setVertexCount(), Lamp::MeshData::setVertexIndex(), Lamp::MeshData::setVertexIndexCount(), Lamp::MeshData::setWeight(), skipWord(), and tokenizer_. Referenced by readMeshDataList().

void Lamp::TextSceneLoader::readMeshLink | ( | const String & | name | ) | `[protected, virtual]`

  | メッシュリンクの読み込み Parameters:
  name | 名前
Definition at line 892 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), materialManager_, meshDataManager_, meshManager_, NULL, openChunk(), readToken(), Lamp::SceneObjectManagerTemplate< Material >::search(), Lamp::SceneObjectManagerTemplate< MeshData >::search(), Lamp::SceneObjectManagerTemplate< Mesh >::search(), Lamp::Mesh::setMaterial(), Lamp::Mesh::setMeshData(), and tokenizer_. Referenced by readMeshLinkList().

void Lamp::TextSceneLoader::readModelLink | ( | const String & | name | ) | `[protected, virtual]`

  | モデルリンクの読み込み Parameters:
  name | 名前
Definition at line 857 of file TextSceneLoader.cpp. References Lamp::Model::addMesh(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), meshManager_, modelManager_, NULL, openChunk(), readToken(), Lamp::SceneObjectManagerTemplate< Mesh >::search(), Lamp::SceneObjectManagerTemplate< Model >::search(), and tokenizer_. Referenced by readModelLinkList().

Picture * Lamp::TextSceneLoader::readPictureRGB8 | ( | const String & | name,
|  | TargaLoader & | loader
| ) | `[protected, virtual]`

  | RGB8ビットピクチャの読み込み. Parameters:
  name | 名前
  loader | Targaローダ
Returns: 読み込んだピクチャ Definition at line 751 of file TextSceneLoader.cpp. References Lamp::PictureManager::createPictureRGB8(), Lamp::PictureRGB8::getImageBuffer(), Lamp::TargaLoader::getSize(), Lamp::TargaLoader::loadImage(), pictureManager_, and Lamp::PictureRGB8::setSize(). Referenced by readPictureList().

Picture * Lamp::TextSceneLoader::readPictureRGBA8 | ( | const String & | name,
|  | TargaLoader & | loader
| ) | `[protected, virtual]`

  | RGBA8ビットピクチャの読み込み. Parameters:
  name | 名前
  loader | Targaローダ
Returns: 読み込んだピクチャ Definition at line 760 of file TextSceneLoader.cpp. References Lamp::PictureManager::createPictureRGBA8(), Lamp::PictureRGBA8::getImageBuffer(), Lamp::TargaLoader::getSize(), Lamp::TargaLoader::loadImage(), pictureManager_, and Lamp::PictureRGBA8::setSize(). Referenced by readPictureList().

void Lamp::TextSceneLoader::readPointLight | ( | const String & | name | ) | `[protected, virtual]`

  | ポイントライトの読み込み Parameters:
  name | 名前
Definition at line 316 of file TextSceneLoader.cpp. References Lamp::LightManager::createPointLight(), lightManager_, readColor3f(), readFloat(), readLight(), readVector3(), Lamp::PointLight::setAttenuation(), Lamp::PointLight::setDiffuseColor(), Lamp::PointLight::setPosition(), Lamp::PointLight::setRange(), Lamp::PointLight::setSpecularColor(), skipWord(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by readLightList().

void Lamp::TextSceneLoader::readRigidMesh | ( | const String & | name | ) | `[protected, virtual]`

  | 剛体メッシュの読み込み Parameters:
  name | 名前
Definition at line 448 of file TextSceneLoader.cpp. References Lamp::MeshManager::createRigidMesh(), meshManager_, readBool(), Lamp::Mesh::setEnabled(), and skipWord(). Referenced by readMeshList().

void Lamp::TextSceneLoader::readSceneNode | ( | const String & | name | ) | `[protected, virtual]`

  | シーンノードの読み込み Parameters:
  name | 名前
Definition at line 206 of file TextSceneLoader.cpp. References Lamp::SceneNodeManager::createSceneNode(), readBool(), readVector3(), sceneNodeManager_, Lamp::SceneNode::setEnabled(), Lamp::SceneNode::setRotationXYZ(), Lamp::SceneNode::setScale(), Lamp::SceneNode::setTranslation(), and skipWord(). Referenced by readSceneNodeList().

void Lamp::TextSceneLoader::readSceneNodeLink | ( | const String & | name | ) | `[protected, virtual]`

  | シーンノードリンクの読み込み Parameters:
  name | 名前
Definition at line 781 of file TextSceneLoader.cpp. References Lamp::SceneNode::addSceneLeaf(), Lamp::SceneNode::addSceneNode(), Lamp::String::equals(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), lightManager_, modelManager_, NULL, openChunk(), readToken(), rootNode_, sceneNodeManager_, Lamp::SceneObjectManagerTemplate< Light >::search(), Lamp::SceneObjectManagerTemplate< Model >::search(), Lamp::SceneObjectManagerTemplate< SceneNode >::search(), and tokenizer_. Referenced by readSceneNodeLinkList().

Sphere Lamp::TextSceneLoader::readSphere | ( |  | ) | `[protected, virtual]`

| 球の読み込み Returns: 球 Definition at line 1216 of file TextSceneLoader.cpp. References closeChunk(), openChunk(), readFloat(), Lamp::Sphere::setCenter(), Lamp::Sphere::setRadius(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by readMeshData().

void Lamp::TextSceneLoader::readStandardModel | ( | const String & | name | ) | `[protected, virtual]`

  | 標準モデルの読み込み Parameters:
  name | 名前
Definition at line 364 of file TextSceneLoader.cpp. References Lamp::ModelManager::createStandardModel(), modelManager_, readBool(), Lamp::SceneLeaf::setEnabled(), and skipWord(). Referenced by readModelList().

void Lamp::TextSceneLoader::readSurfaceTexture | ( | const String & | name | ) | `[protected, virtual]`

  | サーフェーステクスチャの読み込み Parameters:
  name | 名前
Definition at line 695 of file TextSceneLoader.cpp. References Lamp::TextureManager::createSurfaceTexture(), readTexCoord2(), readToken(), Lamp::SurfaceTexture::setAddressModeU(), Lamp::SurfaceTexture::setAddressModeV(), Lamp::SurfaceTexture::setOffsetUV(), Lamp::SurfaceTexture::setRepeatUV(), skipWord(), and textureManager_. Referenced by readTextureList().

TexCoord2 Lamp::TextSceneLoader::readTexCoord2 | ( |  | ) | `[protected, virtual]`

| 二次元テクスチャ座標値の読み込み Returns: 二次元テクスチャ座標値 Definition at line 1188 of file TextSceneLoader.cpp. References closeChunk(), openChunk(), readFloat(), Lamp::TexCoord2::u, and Lamp::TexCoord2::v. Referenced by readSurfaceTexture().

void Lamp::TextSceneLoader::readTextureLink | ( | const String & | name | ) | `[protected, virtual]`

  | テクスチャリンクの読み込み Parameters:
  name | 名前
Definition at line 1025 of file TextSceneLoader.cpp. References Lamp::Texture::addPicture(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), NULL, openChunk(), pictureManager_, readToken(), Lamp::SceneObjectManagerTemplate< Picture >::search(), Lamp::SceneObjectManagerTemplate< Texture >::search(), textureManager_, and tokenizer_. Referenced by readTextureLinkList().

String Lamp::TextSceneLoader::readToken | ( | const String & | caller | ) | `[protected, virtual]`

  | トークンの読み込み Parameters:
  caller | 呼び出し元
Definition at line 1232 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::StreamTokenizer::getToken(), Lamp::StreamTokenizer::nextToken(), and tokenizer_. Referenced by readBasicMaterialLink(), readBool(), readCharacterModel(), readFloat(), readFog(), readInt(), readLightList(), readMaterial(), readMaterialLinkList(), readMaterialList(), readMeshData(), readMeshDataList(), readMeshLink(), readMeshLinkList(), readMeshList(), readModelLink(), readModelLinkList(), readModelList(), readPictureList(), readSceneNodeLink(), readSceneNodeLinkList(), readSceneNodeList(), readSurfaceTexture(), readTextureLink(), readTextureLinkList(), readTextureList(), readUChar(), readUInt(), readUShort(), and skipWord().

u_char Lamp::TextSceneLoader::readUChar | ( |  | ) | `[protected, virtual]`

| u_char値の読み込み Returns: u_char値 Definition at line 1060 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseUChar(), readToken(), tokenizer_, and u_char. Referenced by readColor3c(), readColor4c(), and readMeshData().

u_int Lamp::TextSceneLoader::readUInt | ( |  | ) | `[protected, virtual]`

| u_int値の読み込み Returns: u_int値 Definition at line 1096 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseUInt(), readToken(), tokenizer_, and u_int. Referenced by readLight(), and readMaterial().

u_short Lamp::TextSceneLoader::readUShort | ( |  | ) | `[protected, virtual]`

| u_short値の読み込み Returns: u_short値 Definition at line 1072 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseUShort(), readToken(), tokenizer_, and u_short. Referenced by readMeshData().

Vector3 Lamp::TextSceneLoader::readVector3 | ( |  | ) | `[protected, virtual]`

| Vector3値の読み込み. Returns: Vector3値 Definition at line 1120 of file TextSceneLoader.cpp. References closeChunk(), openChunk(), readFloat(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by readBone(), readDirectionalLight(), readLODSceneNode(), readMeshData(), readPointLight(), and readSceneNode().

void Lamp::TextSceneLoader::skipWord | ( | const String & | word | ) | `[protected, virtual]`

  | 指定ワードの読み飛ばし Parameters:
  word | 読み飛ばすワード
Definition at line 1242 of file TextSceneLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), readToken(), and tokenizer_. Referenced by closeChunk(), openChunk(), readAmbientLight(), readBasicMaterial(), readBone(), readCharacterMesh(), readCharacterModel(), readDirectionalLight(), readFog(), readHeader(), readLight(), readLightList(), readLODSceneNode(), readMaterial(), readMaterialLinkList(), readMaterialList(), readMeshData(), readMeshList(), readModelList(), readPictureList(), readPointLight(), readRigidMesh(), readSceneNode(), readSceneNodeList(), readStandardModel(), readSurfaceTexture(), and readTextureList().

The documentation for this class was generated from the following files:

- TextSceneLoader.h
- TextSceneLoader.cpp